classification
Title: Input function does not strip trailing '\r' from string input
Type: behavior Stage:
Components: Windows Versions: Python 3.2
process
Status: closed Resolution: out of date
Dependencies: Superseder: input() has trailing carriage return on windows
View: 11272
Assigned To: Nosy List: BKHare, amaury.forgeotdarc, santoso.wijaya
Priority: normal Keywords:

Created on 2011-06-28 22:25 by BKHare, last changed 2011-06-28 22:42 by amaury.forgeotdarc. This issue is now closed.

Messages (2)
msg139379 - (view) Author: Brian Hare (BKHare) Date: 2011-06-28 22:25
In Windows, using python 3.2, the built-input function does not strip the trailing '\r' from the string input:

Python 3.2 (r32:88445, Feb 20 2011, 21:29:02) [MSC v.1500 32 bit (Intel)] on win32
Type "help", "copyright", "credits" or "license" for more information.
>>> input('Enter > ')
Enter > abcde
'abcde\r'
>>>

This behavior does not appear in IDLE but does appear in a free-standing command window. 

While the docs only say that the trailing newline is dropped, the 2.6 docs for raw_input have exactly the same wording and the carriage return is dropped:

Python 2.6.2 (r262:71605, Apr 14 2009, 22:40:02) [MSC v.1500 32 bit (Intel)] on win32
Type "help", "copyright", "credits" or "license" for more information.
>>> raw_input('Enter > ')
Enter > abcde
'abcde'
>>>
msg139380 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2011-06-28 22:42
Already fixed with issue11272, which will be included in 3.2.1 and 3.3.
History
Date User Action Args
2011-06-28 22:42:09amaury.forgeotdarcsetstatus: open -> closed

nosy: + amaury.forgeotdarc
messages: + msg139380

superseder: input() has trailing carriage return on windows
resolution: out of date
2011-06-28 22:36:18santoso.wijayasetnosy: + santoso.wijaya
2011-06-28 22:25:16BKHarecreate